基本概念，
service，辅助功能服务，是这个读屏服务的核心，各个功能都是以这个服务为核心。

参数类型说明，
node，当前焦点，也就是当前获得辅助功能焦点的节点，一般操作都是针对这个焦点的。
bool，布尔值，true或者false。
text，文字内容。

return，返回，通知读屏你是否希望读屏执行该手势的默认操作。
返回true则拦截该手势，false返回上一层执行，如在单程序手势返回false，则由全局手势接管处理，全局手势返回false，由默认手势处理。

常用命令，
service.execute("命令",node)
这个命令就是解说为了简化开发内置的一些指令，如果执行成功返回true，失败返回false。

service.postExecute(时间,"命令",node)
延时执行命令，

text=service.getText(node)
获取指定节点的文字信息。

service.setText(node,text)
设置指定焦点输入框文字内容。

service.setText(text)
设置当前界面焦点输入框文字内容。

service.copy()
复制当前焦点的文字内容到剪切板。

service.appendCopy()
追加复制当前焦点的文字内容到剪切板。

service.copy(text)
复制指定的文字内容到剪切板。

service.appendCopy(text)
追加复制指定的文字内容到剪切板。

service.paste()
将剪切板内容粘贴到当前界面的输入框。

service.paste(node)
将剪切板内容粘贴到指定的输入框。

service.toNext()
下一个焦点。

service.toNext(node,bool)
指定节点下一个焦点，bool为true查找子节点，为false不查找子节点。

service.toPrevious()
上一个焦点。

service.toPrevious(node,bool)
指定节点上一个焦点，bool为true查找子节点，为false不查找子节点。

service.toNextChar()
下一个字符。

service.toPreviousChar()
上一个字符。

service.toNextLine()
下一行。

service.toPreviousLine()
上一行。

service.toTextStart()
到文字开头。

service.toTextEnd()
到文字结尾。

service.toListViewStart()
到列表开头。

service.toListViewEnd()
到列表结尾。

service.getRootNodeInfo()
获取根节点。

service.ocr(node)
文字识别指定节点，仅会员可用。

service.setTimerMode(bool)
开启或关闭计时器模式，bool为true开启，false为关闭。

service.setAutoReadEnabled(bool)
开启或关闭阅读模式，bool为true开启，false为关闭。

service.setAutoNext(bool)
开启或关闭自动浏览模式，bool为true开启，false为关闭。

bool=service.isEditView(node)
判断当前节点是否为编辑框。

bool=service.isSeekBar(node)
判断当前节点是否为进度滑块。

bool=service.isListView(node)
判断当前节点是否为列表。

bool=service.isInListView(node)
判断当前节点是否在列表中。

bool=service.isInWebView(node)
判断当前节点是否在网页中。

bool=service.isClick(node)
判断当前节点是否可以点击。

service.toClick()
点击当前焦点，在安卓7以上优先使用模拟手点击焦点。

service.toClick(node)
点击指定节点。

service.toLongClick()
长当前焦点。

service.toLongClick(node)
长按指定节点。

service.toBack()
返回。

service.toHome()
返回主屏幕。

service.toNotification()
打开通知栏。

service.toParent()
打开最近任务列表。

service.scrollBackward(node)
向后滚动。

service.scrollForward(node)
向前滚动。

service.loadGesturePackage(name)
载入手势方案。

service.click(x,y)
模拟人手点击屏幕指定位置，仅安卓7以上可用。

service.longClick(x,y)
模拟人手长按屏幕指定位置，仅安卓7以上可用。

service.press(x,y,t)
模拟人手在屏幕指定位置按住指定时间，仅安卓7以上可用。

service.swipe(x1,y1,x2,y2,t)
模式人手从一个位置用指定时间滑动到另一个位置，仅安卓7以上可用。

service.plugin("插件名称",node)
执行一个插件，
返回插件自定义返回的值。

service.click({按钮列表})
自动点击，依次查找点击按钮列表的按钮，
按钮名称支持一些符号进行通配（字符命令）

service.postClick(时间,{按钮列表})
延时点击，延时一定时间执行点击，时间单位为毫秒，按钮列表定义与click相同，
没有返回值。

示例：

按钮列表={}
service.click(按钮列表)
return true

下边两行是固定的，只需要修改按钮列表即可

按钮列表={
  "确定",
  "完成"
}
service.click(按钮列表)
return true

这是第一级列表，如果有确定点击确定，没有确定就点击完成，依次类推

按钮列表={
  {"群资料卡","文件"}
}
service.click(按钮列表)
return true

这是二级列表，二级列表里按钮会被依次点击，直到某一个按钮不存在停止

【字符命令】

在按钮列表中可以用一些符号来增强功能

前面或后面加*(星号)表示前面或后面还有其他字符，

比如，在QQ主界面要点击，解说读屏交流群，而这个列表内容有时候后面会有99条未读之类内容，这时候就要写成：
解说读屏交流群*

前面加#(井号)，表示搜索的是自定义标签，
可以自己给按钮添加标签，并使用标签查找。

后面加#(井号)，表示第几个结果，有时候一个界面有很多个名字一样的按钮，这时候需要用井号来说明点击第几个，
如，确定#1，表示第一个，也可以是负数，如确定#-1，表示最后一个。

符号中英文竖线|，表示或，也就是如果有竖线前边的点击前边的，没有就点击后边的，
确定|完成
表示点击 确定 或者 完成

& 表示和，有&符号后面的，才点击前边的按钮，
确定&*退出*
表示，这个界面有退出字样，比如“确定退出吗”，才点击确定，而没有“退出”两个字就不执行

&符号在前面表示检查当前焦点类型，
&可编辑
&可点击
&列表
&列表项目
&编辑框
这个编辑框是弹出输入法的编辑框，

后面加@(圈a)表示只在某一个程序查找

后面加$(美元)表示执行完成后延时(毫秒)
"群资料卡$2000","文件"
表示点击群资料卡后2秒点击文件

前面加<小于号表示只定位，不点击。
<确定
找到确定但是不点击。

后面加< 小于号表示重复执行，重复点击按钮多少次
下一曲<10
表示重复点击下一曲十次

前面加>大于号可以打开软件
>微信 ，表示打开微信
>QQ ，表示打开QQ
后面加>大于号表示等待时间(秒)
手机反应有快有慢，用这个符号可以等待一定时间
"群资料卡","文件>10"
表示点击群资料卡后等待十秒，十秒以内如果出现文件就立即点击，如果超时就停止执行

还有一些扩展符号，可以执行其它功能
% 可以执行一些常用指令
比如
%复制    可以复制
%全文朗读    可以全屏朗读

%还可以执行脚本中指定的函数，函数返回true表示继续执行，false停止继续执行

[]方括号包括的内容表示模拟直接点击，和使用辅助功能点击不同，直接点击可以解决一部分焦点不能点击的问题
[播放]
模拟直接点击播放按钮
[%点击]
模拟直接点击当前焦点

[x,y]方括号包含两个数字表示模拟点击指定位置，可以用整数表示绝对位置，或者用小数表示相对位置
[300,500]
模拟点击从左算300像素，从上算500像素的位置
[0.3,0.5]
模拟点击从左算0.3个屏幕宽度，从上算0.5个屏幕高度的位置

[x,y,t]方括号包含三个数字表示模拟点击指定位置指定时间，前两个意思和上一个相同，第三个是以毫秒为单位的时间
[300,500,1000]
模拟点击从左算300像素，从上算500像素的位置，持续1000毫秒

[x1,y1,x2,y2,t]方括号包含五个数字表示用指定时间模拟从x1，y1滑动到x2,y2位置，可以用整数表示绝对位置，或者用小数表示相对位置
[300,500,300,800,1000]
模拟从左算300像素，从上算500像素的位置，用1000毫秒时间滑动到300,800的位置

模拟滑动还可以指定滑动次数
[300,500,300,800,1000,10]
模拟从左算300像素，从上算500像素的位置，用1000毫秒时间滑动到300,800的位置，10次

前面加?问号，有则点击，无则跳过

焦点1&^焦点2，检查父节点有没有焦点2，有则点击焦点1
焦点1&^!焦点2，检查父节点有没有焦点2，没有则点击焦点1

在手势执行中有时会有一些不同情况出现，比如打开QQ，点击解说读屏交流群，点击群资料卡，点击文件，
如果有群公告，会在点击群资料卡那一步卡住，不能执行，
这时需要分支代码来执行这些突发情况，
只是手写例子，可能不能执行，理解意思就可以了

按钮列表={
  {
    ">QQ",
    "解说读屏交流群*",
    {
      "我已阅读群公告|我知道了"
    },
    "群资料卡",
    "文件"
  }
}

因为QQ版本不同，确定群公告按钮也不一样，
可以看到，在点击解说读屏交流群后，多了一对花括号括起来按钮，这个括号中的按钮，有则执行，没有则跳过，不影响后边按钮的执行，
如果分支中有复杂操作，或者多种场景，我们还可以套入多个括号，

按钮列表={
  {
    ">QQ",
    "解说读屏交流群*",
    {
     { "我已阅读群公告","确定"},
     { "我知道了","确定"},
    },
    "群资料卡",
    "文件"
  }
}
